import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)
import java.lang.String;
/**
 * Ergänzen Sie hier eine Beschreibung für die Klasse Particle.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)
 */
public class Particle extends Actor
{
     String myPicName;
    int transparency = 255;
    GreenfootImage myPic;
    double xVel = 0.0;
    double yVel = 0.0;
    public Particle(String type)
    {
        myPicName = "bloodparticle1.png";
        initImage(type);
    }
    public Particle(String type, double initXVel, double initYVel)
    {
        myPicName = "bloodparticle1.png";
        initImage(type);
        
        xVel = initXVel;
        yVel = initYVel;
    }
    public void initImage(String type)
    {
        if(type.equals("blood")) {
            String picName = "bloodparticle";
            picName = picName + (Integer.valueOf(Greenfoot.getRandomNumber(5)+1).toString());
            picName = picName + ".png";
            setImage(new GreenfootImage(picName));
            myPicName = picName;
        }
    }
    /**
     * Act - tut, was auch immer Particle tun will. Diese Methode wird aufgerufen, 
     * sobald der 'Act' oder 'Run' Button in der Umgebung angeklickt werden. 
     */
    public void act() 
    {
       fade();
        setLocation((int) (getX() + xVel), (int) (getY() + yVel));
        friction();
        removeFade();
    }    
    public void friction()
    {
        if(xVel >= 0)
            xVel -= 0.1;
        if(xVel <= 0)
            xVel += 0.1;
        if(yVel >= 0)
            yVel -= 0.1;
        if(yVel <= 0)
            yVel += 0.1;
    }
    
    public void fade()
    {
        transparency -= 3;
        myPic = new GreenfootImage(myPicName);
        myPic.setTransparency(transparency);
        setImage(myPic);
    }
    
    public void removeFade()
    {
        if(transparency <= 10) {
            getWorld().removeObject(this);
        }
}
}